using System;

namespace InABox.Core
{
    [Obsolete("Being Replaced with DigitalFormLookups", true)]
    public class QAFormLookups : EntityLookup<QAForm>
    {
        public override Columns<QAForm> DefineColumns()
        {
            return base.DefineColumns()
                .Add(x => x.Description)
                .Add(x => x.AppliesTo);
        }

        public override Filter<QAForm> DefineFilter()
        {
            return null;
        }

        public override SortOrder<QAForm> DefineSortOrder()
        {
            return new SortOrder<QAForm>(x => x.Description);
        }
    }
}